Environment Provisioning - Get Provisioning Currencies

Retrieves available currencies for environment provisioning in a location.

GET https://api.powerplatform.com/environmentmanagement/provisioning/locations/{location}/currencies?api-version=2024-10-01

URI Parameters

Name In Required Type Description
location
path True

string

The location name.

api-version
query True

string

The API version.

Responses

Name Type Description
200 OK

EnvironmentCurrencyPagedCollection

OK

Media Types: "text/plain", "application/json", "text/json"

400 Bad Request

ValidationResponse

Bad Request

Media Types: "text/plain", "application/json", "text/json"

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
EnvironmentCurrency
EnvironmentCurrencyPagedCollection
ErrorInfo

Represents error information for an operation.

ValidationResponse

Represents the response for validation of an operation.

EnvironmentCurrency

Name Type Description
code

string

isTenantDefault

boolean

symbol

string

EnvironmentCurrencyPagedCollection

Name Type Description
collection

EnvironmentCurrency[]

continuationToken

string

ErrorInfo

Represents error information for an operation.

Name Type Description
code

string

The error Code.

fieldErrors

object

The detailed error.

ValidationResponse

Represents the response for validation of an operation.

Name Type Description
errorDetail

ErrorInfo

Represents error information for an operation.